class CreateStudentWorks < ActiveRecord::Migration
  def up
    create_table :student_works do |t|
      t.string :name
      t.text  :description
      t.integer :homework_common_id
      t.integer :user_id
      t.float :final_score
      t.float :teacher_score
      t.float :student_score
      t.float :teaching_asistant_score
      t.integer :project_id, default: 0

      t.timestamps
    end
  end

  def down
    drop_table :student_works
  end
end
